/* $Id: funcs.c,v 1.4 2005/07/30 12:48:49 cegger Exp $
******************************************************************************

   LibGGIMisc implementation for "pseudo_stubs" target -- API functions.
  
   Copyright (c) 2004      Peter Ekberg         peda@lysator.liu.se
   
   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   The above copyright notice applies to all files in this package, unless 
   explicitly stated otherwise in the file itself or in a file named COPYING 
   in the same directory as the file.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


******************************************************************************
*/

#include "config.h"
#include "pseudostubsggimisc.h"

/* _All_ non-local (ie not declared 'static') functions and variables _must_
   be prefixed with the extension name, and for sublibs also with a unique
   sublib identifier. This is to keep the namespace clean on systems where
   all symbols are exported by default.
*/

/*-* API Implementation */

int GGIMISC_pseudo_stubs_WaitRayPos(ggi_visual *vis, int32_t *x, int32_t *y)
{
	ggi_visual *pvis = LIBGGI_GGIMISCPRIV(LIBGGI_GGIMISCEXT(vis));

	return ggiWaitRayPos(pvis, x, y);
}

int GGIMISC_pseudo_stubs_GetRayPos(ggi_visual *vis, int32_t *x, int32_t *y)
{
	ggi_visual *pvis = LIBGGI_GGIMISCPRIV(LIBGGI_GGIMISCEXT(vis));

	return ggiGetRayPos(pvis, x, y);
}

int GGIMISC_pseudo_stubs_SetSplitline(ggi_visual *vis, int y)
{
	ggi_visual *pvis = LIBGGI_GGIMISCPRIV(LIBGGI_GGIMISCEXT(vis));

	return ggiSetSplitline(pvis, y);
}
